Option Explicit On
Option Strict Off

Imports System.Runtime.InteropServices

Module SAIxx

    ' Device status (Return value)
    Public Const SAI_OK As Integer = 0
    Public Const SAI_INVALID_HANDLE As Integer = 1
    Public Const SAI_DEVICE_NOT_FOUND As Integer = 2
    Public Const SAI_DEVICE_NOT_OPENED As Integer = 3
    Public Const SAI_OTHER_ERROR As Integer = 4
    Public Const SAI_COMMUNICATION_ERROR As Integer = 5

    ' Function definitions
    Public Declare Function SAI_GetNumberOfDevices Lib "SAIxx.dll" (ByRef Number As Integer) As Integer
    Public Declare Function SAI_GetSerialNumber Lib "SAIxx.dll" (ByVal Index As Integer, ByRef SerialNumber As Integer) As Integer
    Public Declare Function SAI_Open Lib "SAIxx.dll" (ByRef ID As Byte) As Integer
    Public Declare Function SAI_OpenBySerialNumber Lib "SAIxx.dll" (ByVal SerialNumber As Integer, ByRef ID As Byte) As Integer
    Public Declare Function SAI_Close Lib "SAIxx.dll" (ByVal ID As Byte) As Integer
    Public Declare Function SAI_GetAnalogVoltage Lib "SAIxx.dll" (ByVal ID As Byte, ByRef CH0Value As Double, ByRef CH1Value As Double, ByRef CH2Value As Double, ByRef CH3Value As Double) As Integer

End Module
