Attribute VB_Name = "SAIxx"
Option Explicit

' Device status (Return value)
Public Const SAI_OK As Long = 0
Public Const SAI_INVALID_HANDLE As Long = 1
Public Const SAI_DEVICE_NOT_FOUND As Long = 2
Public Const SAI_DEVICE_NOT_OPENED As Long = 3
Public Const SAI_OTHER_ERROR As Long = 4
Public Const SAI_COMMUNICATION_ERROR As Long = 5

' Function definitions
Public Declare Function SAI_GetNumberOfDevices Lib "SAIxx.dll" (ByRef Number As Long) As Long
Public Declare Function SAI_GetSerialNumber Lib "SAIxx.dll" (ByVal Index As Long, ByRef SerialNumber As Long) As Long
Public Declare Function SAI_Open Lib "SAIxx.dll" (ByRef ID As Byte) As Long
Public Declare Function SAI_OpenBySerialNumber Lib "SAIxx.dll" (ByVal SerialNumber As Long, ByRef ID As Byte) As Long
Public Declare Function SAI_Close Lib "SAIxx.dll" (ByVal ID As Byte) As Long
Public Declare Function SAI_GetAnalogVoltage Lib "SAIxx.dll" (ByVal ID As Byte, ByRef CH0Value As Double, ByRef CH1Value As Double, ByRef CH2Value As Double, ByRef CH3Value As Double) As Long
